opensesh docs

List sent and queued emails

GET
/events/{eventId}/emails

The event's full email log — decisions, reminders, invites, campaigns.

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/events/string/emails"
[  {    "id": "string",    "createdAt": "string",    "updatedAt": "string",    "eventId": "string",    "contactId": "string",    "submissionId": "string",    "type": "confirmation",    "recipient": "string",    "subject": "string",    "body": "string",    "htmlBody": "string",    "icsAttached": true,    "icsContent": "string",    "icsSequence": 0,    "status": "queued",    "provider": "string",    "providerId": "string",    "error": "string",    "sentAt": "string"  }]